package com.bcxin.ars.model.approve;

import com.abcxin.smart.validator.annotation.ModelTableAnnotation;
import com.bcxin.ars.model.BaseModel;

/**
 * 审批环节层级
 *
 * @author zhangye
 * @since 2018-01-19 14:16:05
 */
@ModelTableAnnotation(getName = "审批环节层级",tableName = "approve_link_level")
public class ApproveLinkLevel extends BaseModel {
    private static final long serialVersionUID = 1625435883L;


    /**
     * 审批层级
     */
    private String approveLevel;

    /**
     * 上级审批环节层级ID
     */
    private Long parentId;

    /**
     * 审批模板环节关联ID
     */
    private Long tempLinkRelaId;

    public String getApproveLevel() {
        return approveLevel;
    }

    public void setApproveLevel(String approveLevel) {
        this.approveLevel = approveLevel;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

	public Long getTempLinkRelaId() {
		return tempLinkRelaId;
	}

	public void setTempLinkRelaId(Long tempLinkRelaId) {
		this.tempLinkRelaId = tempLinkRelaId;
	}

}